SYS_MK_DIR = $(DATADIR)/mk

MK_FILES = \
	$(SOURCE_DIR)/mk/ChangeLog \
	$(SOURCE_DIR)/mk/LICENSE \
	$(SOURCE_DIR)/mk/README \
	$(SOURCE_DIR)/mk/auto.dep.mk \
	$(SOURCE_DIR)/mk/auto.obj.mk \
	$(SOURCE_DIR)/mk/autoconf.mk \
	$(SOURCE_DIR)/mk/autodep.mk \
	$(SOURCE_DIR)/mk/cc-wrap.mk \
	$(SOURCE_DIR)/mk/ccm.dep.mk \
	$(SOURCE_DIR)/mk/compiler.mk \
	$(SOURCE_DIR)/mk/cython.mk \
	$(SOURCE_DIR)/mk/dep.mk \
	$(SOURCE_DIR)/mk/dirdeps-cache-update.mk \
	$(SOURCE_DIR)/mk/dirdeps-options.mk \
	$(SOURCE_DIR)/mk/dirdeps-targets.mk \
	$(SOURCE_DIR)/mk/dirdeps.mk \
	$(SOURCE_DIR)/mk/doc.mk \
	$(SOURCE_DIR)/mk/dpadd.mk \
	$(SOURCE_DIR)/mk/files.mk \
	$(SOURCE_DIR)/mk/final.mk \
	$(SOURCE_DIR)/mk/gendirdeps.mk \
	$(SOURCE_DIR)/mk/host-target.mk \
	$(SOURCE_DIR)/mk/host.libnames.mk \
	$(SOURCE_DIR)/mk/inc.mk \
	$(SOURCE_DIR)/mk/init.mk \
	$(SOURCE_DIR)/mk/install-new.mk \
	$(SOURCE_DIR)/mk/java.mk \
	$(SOURCE_DIR)/mk/jobs.mk \
	$(SOURCE_DIR)/mk/ldorder.mk \
	$(SOURCE_DIR)/mk/lib.mk \
	$(SOURCE_DIR)/mk/libnames.mk \
	$(SOURCE_DIR)/mk/libs.mk \
	$(SOURCE_DIR)/mk/links.mk \
	$(SOURCE_DIR)/mk/man.mk \
	$(SOURCE_DIR)/mk/manifest.mk \
	$(SOURCE_DIR)/mk/meta.autodep.mk \
	$(SOURCE_DIR)/mk/meta.stage.mk \
	$(SOURCE_DIR)/mk/meta.subdir.mk \
	$(SOURCE_DIR)/mk/meta.sys.mk \
	$(SOURCE_DIR)/mk/meta2deps.py \
	$(SOURCE_DIR)/mk/meta2deps.sh \
	$(SOURCE_DIR)/mk/mk-files.txt \
	$(SOURCE_DIR)/mk/mkopt.sh \
	$(SOURCE_DIR)/mk/newlog.sh \
	$(SOURCE_DIR)/mk/nls.mk \
	$(SOURCE_DIR)/mk/obj.mk \
	$(SOURCE_DIR)/mk/options.mk \
	$(SOURCE_DIR)/mk/own.mk \
	$(SOURCE_DIR)/mk/posix.mk \
	$(SOURCE_DIR)/mk/prlist.mk \
	$(SOURCE_DIR)/mk/prog.mk \
	$(SOURCE_DIR)/mk/progs.mk \
	$(SOURCE_DIR)/mk/rst2htm.mk \
	$(SOURCE_DIR)/mk/scripts.mk \
	$(SOURCE_DIR)/mk/srctop.mk \
	$(SOURCE_DIR)/mk/stage-install.sh \
	$(SOURCE_DIR)/mk/subdir.mk \
	$(SOURCE_DIR)/mk/suffixes.mk \
	$(SOURCE_DIR)/mk/sys.clean-env.mk \
	$(SOURCE_DIR)/mk/sys.debug.mk \
	$(SOURCE_DIR)/mk/sys.dependfile.mk \
	$(SOURCE_DIR)/mk/sys.dirdeps.mk \
	$(SOURCE_DIR)/mk/sys.mk \
	$(SOURCE_DIR)/mk/sys.vars.mk \
	$(SOURCE_DIR)/mk/target-flags.mk \
	$(SOURCE_DIR)/mk/warnings.mk \
	$(SOURCE_DIR)/mk/whats.mk \
	$(SOURCE_DIR)/mk/yacc.mk \

MK_SYS_FILES = \
	$(SOURCE_DIR)/mk/sys/AIX.mk \
	$(SOURCE_DIR)/mk/sys/Darwin.mk \
	$(SOURCE_DIR)/mk/sys/Generic.mk \
	$(SOURCE_DIR)/mk/sys/HP-UX.mk \
	$(SOURCE_DIR)/mk/sys/IRIX.mk \
	$(SOURCE_DIR)/mk/sys/Linux.mk \
	$(SOURCE_DIR)/mk/sys/NetBSD.mk \
	$(SOURCE_DIR)/mk/sys/OSF1.mk \
	$(SOURCE_DIR)/mk/sys/OpenBSD.mk \
	$(SOURCE_DIR)/mk/sys/SCO_SV.mk \
	$(SOURCE_DIR)/mk/sys/SunOS.mk \
	$(SOURCE_DIR)/mk/sys/UnixWare.mk \

install-mk:
	mkdir -p                  $(DESTDIR)$(SYS_MK_DIR)
	mkdir -p                  $(DESTDIR)$(SYS_MK_DIR)/sys
	cp -p    $(MK_FILES)      $(DESTDIR)$(SYS_MK_DIR)
	cp -p    $(MK_SYS_FILES)  $(DESTDIR)$(SYS_MK_DIR)/sys

install-man:
	mkdir -p                            $(DESTDIR)$(DATADIR)/man/man1/
	cp -p    $(SOURCE_DIR)/man/make.1   $(DESTDIR)$(DATADIR)/man/man1/$(NICKNAME).1

install: install-mk install-man
